Index: asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_client.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_client.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_client.c	(revision 374)
@@ -151,9 +151,9 @@
 static void parse_service_search_attribute_response(uint8_t* packet){
     uint16_t offset = 3;
-    uint16_t parameterLength = READ_NET_16(packet,offset);
+    uint16_t parameterLength = big_endian_read_16(packet,offset);
     uint16_t attributeListByteCount;
     offset+=2;
     // AttributeListByteCount <= mtu
-    attributeListByteCount = READ_NET_16(packet,offset);
+    attributeListByteCount = big_endian_read_16(packet,offset);
     offset+=2;
 
@@ -185,5 +185,5 @@
     // uint16_t handle;
     if (packet_type == L2CAP_DATA_PACKET){
-        uint16_t responseTransactionID = READ_NET_16(packet,1);
+        uint16_t responseTransactionID = big_endian_read_16(packet,1);
         if ( responseTransactionID != transactionID){
             log_error("Missmatching transaction ID, expected %u, found %u.", transactionID, responseTransactionID);
@@ -247,6 +247,6 @@
             }
             sdp_cid = channel;
-            mtu = READ_BT_16(packet, 17);
-            // handle = READ_BT_16(packet, 9);
+            mtu = little_endian_read_16(packet, 17);
+            // handle = little_endian_read_16(packet, 9);
             log_info("SDP Client Connected, cid %x, mtu %u.", sdp_cid, mtu);
 
@@ -261,6 +261,6 @@
         case L2CAP_EVENT_CHANNEL_CLOSED: {
             uint8_t status;
-            if (sdp_cid != READ_BT_16(packet, 2)) {
-                // log_info("Received L2CAP_EVENT_CHANNEL_CLOSED for cid %x, current cid %x\n",  READ_BT_16(packet, 2),sdp_cid);
+            if (sdp_cid != little_endian_read_16(packet, 2)) {
+                // log_info("Received L2CAP_EVENT_CHANNEL_CLOSED for cid %x, current cid %x\n",  little_endian_read_16(packet, 2),sdp_cid);
                 break;
             }
@@ -402,13 +402,13 @@
 static void parse_service_search_response(uint8_t* packet){
     uint16_t offset = 3;
-    uint16_t parameterLength = READ_NET_16(packet,offset);
+    uint16_t parameterLength = big_endian_read_16(packet,offset);
     uint16_t totalServiceRecordCount;
     uint16_t currentServiceRecordCount;
     offset+=2;
 
-    totalServiceRecordCount = READ_NET_16(packet,offset);
-    offset+=2;
-
-    currentServiceRecordCount = READ_NET_16(packet,offset);
+    totalServiceRecordCount = big_endian_read_16(packet,offset);
+    offset+=2;
+
+    currentServiceRecordCount = big_endian_read_16(packet,offset);
     offset+=2;
     if (currentServiceRecordCount > totalServiceRecordCount){
@@ -436,10 +436,10 @@
 static void parse_service_attribute_response(uint8_t* packet){
     uint16_t offset = 3;
-    uint16_t parameterLength = READ_NET_16(packet,offset);
+    uint16_t parameterLength = big_endian_read_16(packet,offset);
 	uint16_t attributeListByteCount;
     offset+=2;
 
     // AttributeListByteCount <= mtu
-    attributeListByteCount = READ_NET_16(packet,offset);
+    attributeListByteCount = big_endian_read_16(packet,offset);
     offset+=2;
 
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_parser.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_parser.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_parser.c	(revision 374)
@@ -166,5 +166,5 @@
             {
             sdp_query_attribute_value_event_t attribute_value_event = {
-                SDP_QUERY_ATTRIBUTE_VALUE,
+                SDP_EVENT_QUERY_ATTRIBUTE_VALUE,
                 record_counter,
                 attribute_id,
@@ -186,5 +186,5 @@
             {
             sdp_query_attribute_value_event_t attribute_value_event = {
-                SDP_QUERY_ATTRIBUTE_VALUE,
+                SDP_EVENT_QUERY_ATTRIBUTE_VALUE,
                 record_counter,
                 attribute_id,
@@ -258,5 +258,5 @@
     int i;
     for (i=0;i<record_handle_count;i++){
-        record_handle = READ_NET_32(data, i*4);
+        record_handle = big_endian_read_32(data, i*4);
         record_counter++;
 		{
@@ -275,5 +275,5 @@
 void sdp_parser_handle_done(uint8_t status){
     sdp_query_complete_event_t complete_event = {
-        SDP_QUERY_COMPLETE,
+        SDP_EVENT_QUERY_COMPLETE,
         status
     };
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_query_rfcomm.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_query_rfcomm.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_query_rfcomm.c	(revision 374)
@@ -248,5 +248,5 @@
     sdp_query_attribute_value_event_t * ve;
     switch (event->type){
-        case SDP_QUERY_ATTRIBUTE_VALUE:
+        case SDP_EVENT_QUERY_ATTRIBUTE_VALUE:
             ve = (sdp_query_attribute_value_event_t*) event;
            // log_info("handle_sdp_parser_event [ AID, ALen, DOff, Data] : [%x, %u, %u] BYTE %02x",
@@ -254,5 +254,5 @@
 
             switch (ve->attribute_id){
-                case SDP_ProtocolDescriptorList:
+                case BLUETOOTH_ATTRIBUTE_PROTOCOL_DESCRIPTOR_LIST:
                     // find rfcomm channel
                     handleProtocolDescriptorListData(ve->attribute_length, ve->data_offset, ve->data);
@@ -267,5 +267,5 @@
             }
             break;
-        case SDP_QUERY_COMPLETE:
+        case SDP_EVENT_QUERY_COMPLETE:
             (*sdp_app_callback)(event, sdp_app_context);
             break;
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_util.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_util.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/sdp_util.c	(revision 374)
@@ -98,8 +98,8 @@
             break;
         case DE_SIZE_VAR_16:
-            result = READ_NET_16(header,1);
+            result = big_endian_read_16(header,1);
             break;
         case DE_SIZE_VAR_32:
-            result = READ_NET_32(header,1);
+            result = big_endian_read_32(header,1);
             break;
         default:
@@ -122,5 +122,5 @@
 int de_element_get_uint16(uint8_t * element, uint16_t * value){
     if (de_get_size_type(element) != DE_SIZE_16) return 0;
-    *value = READ_NET_16(element, de_get_header_size(element));
+    *value = big_endian_read_16(element, de_get_header_size(element));
     return 1;
 }
@@ -134,8 +134,8 @@
     switch (uuidSize){
         case DE_SIZE_16:
-            shortUUID = READ_NET_16(element, 1);
+            shortUUID = big_endian_read_16(element, 1);
             break;
         case DE_SIZE_32:
-            shortUUID = READ_NET_32(element, 1);
+            shortUUID = big_endian_read_32(element, 1);
             break;
         case DE_SIZE_128:
@@ -157,5 +157,5 @@
     hasBlueoothBaseUuid = sdp_has_blueooth_base_uuid(uuid128);
     if (!hasBlueoothBaseUuid) return 0;
-    return READ_NET_32(uuid128, 0);
+    return big_endian_read_32(uuid128, 0);
 }
 
@@ -199,5 +199,5 @@
 void de_pop_sequence(uint8_t * parent, uint8_t * child){
     int child_len = de_get_len(child);
-    int data_size_parent = READ_NET_16(parent,1);
+    int data_size_parent = big_endian_read_16(parent,1);
     net_store_16(parent, 1, data_size_parent + child_len);
 }
@@ -205,5 +205,5 @@
 /* adds a single number value and 16+32 bit UUID to the sequence */
 void de_add_number(uint8_t *seq, de_type_t type, de_size_t size, uint32_t value){
-    int data_size   = READ_NET_16(seq,1);
+    int data_size   = big_endian_read_16(seq,1);
     int element_size = 1;   // e.g. for DE_TYPE_NIL
     de_store_descriptor(seq+3+data_size, type, size);
@@ -231,5 +231,5 @@
 /* add a single block of data, e.g. as DE_STRING, DE_URL */
 void de_add_data( uint8_t *seq, de_type_t type, uint16_t size, uint8_t *data){
-    int data_size   = READ_NET_16(seq,1);
+    int data_size   = big_endian_read_16(seq,1);
     if (size > 0xff) {
         // use 16-bit lengh information (3 byte header)
@@ -247,5 +247,5 @@
 
 void de_add_uuid128(uint8_t * seq, uint8_t * uuid){
-    int data_size   = READ_NET_16(seq,1);
+    int data_size   = big_endian_read_16(seq,1);
     de_store_descriptor(seq+3+data_size, DE_UUID, DE_SIZE_128);
     memcpy( seq + 4 + data_size, uuid, 16);
@@ -326,5 +326,5 @@
         uint8_t done;
         if (idType != DE_UINT || idSize != DE_SIZE_16) break; // wrong type
-        attribute_id = READ_NET_16(element, pos + 1);
+        attribute_id = big_endian_read_16(element, pos + 1);
         pos += 3;
         if (pos >= end_pos) break; // array out of bounds
@@ -349,5 +349,5 @@
     switch (size) {
         case DE_SIZE_16:
-            if (READ_NET_16(element, 1) == context->attributeID) {
+            if (big_endian_read_16(element, 1) == context->attributeID) {
                 context->result = 1;
                 return 1;
@@ -355,6 +355,6 @@
             break;
         case DE_SIZE_32:
-            if (READ_NET_16(element, 1) <= context->attributeID
-            &&  context->attributeID <= READ_NET_16(element, 3)) {
+            if (big_endian_read_16(element, 1) <= context->attributeID
+            &&  context->attributeID <= big_endian_read_16(element, 3)) {
                 context->result = 1;
                 return 1;
@@ -388,5 +388,5 @@
     if (sdp_attribute_list_constains_id(context->attributeIDList, attributeID)) {
         // DES_HEADER(3) + DES_DATA + (UINT16(3) + attribute)
-        uint16_t data_size = READ_NET_16(context->buffer, 1);
+        uint16_t data_size = big_endian_read_16(context->buffer, 1);
         int attribute_len = de_get_len(attributeValue);
         if (3 + data_size + (3 + attribute_len) <= context->maxBytes) {
@@ -662,5 +662,5 @@
                 break;
             case DE_SIZE_VAR_16:
-                len = READ_NET_16(element, 1);
+                len = big_endian_read_16(element, 1);
                 break;
             default:
@@ -678,8 +678,8 @@
                 break;
             case DE_SIZE_16:
-				value = READ_NET_16(element,pos);
+				value = big_endian_read_16(element,pos);
                 break;
             case DE_SIZE_32:
-				value = READ_NET_32(element,pos);
+				value = big_endian_read_32(element,pos);
                 break;
             default:
@@ -712,5 +712,5 @@
 
 	// 0x0001 "Service Class ID List"
-	de_add_number(service,  DE_UINT, DE_SIZE_16, SDP_ServiceClassIDList);
+	de_add_number(service,  DE_UINT, DE_SIZE_16, BLUETOOTH_ATTRIBUTE_SERVICE_CLASS_ID_LIST);
 	attribute = de_push_sequence(service);
 	{
@@ -720,5 +720,5 @@
 
 	// 0x0004 "Protocol Descriptor List"
-	de_add_number(service,  DE_UINT, DE_SIZE_16, SDP_ProtocolDescriptorList);
+	de_add_number(service,  DE_UINT, DE_SIZE_16, BLUETOOTH_ATTRIBUTE_PROTOCOL_DESCRIPTOR_LIST);
 	attribute = de_push_sequence(service);
 	{
Index: asp3_tinet_ecnl_arm/trunk/btstack/src/utils.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/btstack/src/utils.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/btstack/src/utils.c	(revision 374)
@@ -49,10 +49,10 @@
 #include "debug.h"
 
-void bt_store_16(uint8_t *buffer, uint16_t pos, uint16_t value){
+void little_endian_store_16(uint8_t *buffer, uint16_t pos, uint16_t value){
     buffer[pos++] = value;
     buffer[pos++] = value >> 8;
 }
 
-void bt_store_32(uint8_t *buffer, uint16_t pos, uint32_t value){
+void little_endian_store_32(uint8_t *buffer, uint16_t pos, uint32_t value){
     buffer[pos++] = value;
     buffer[pos++] = value >> 8;
@@ -73,5 +73,5 @@
 }
 
-void bt_flip_addr(bd_addr_t dest, bd_addr_t src){
+void reverse_bd_addr(bd_addr_t src, bd_addr_t dest){
     dest[0] = src[5];
     dest[1] = src[4];
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/.cproject
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/.cproject	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/.cproject	(revision 374)
@@ -17,5 +17,4 @@
 					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
-					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
@@ -122,5 +121,5 @@
 						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="arch"/>
 						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="crt"/>
-						<entry flags="VALUE_WORKSPACE_PATH" kind="sourcePath" name="src"/>
+						<entry excluding="malloc" flags="VALUE_WORKSPACE_PATH" kind="sourcePath" name="src"/>
 					</sourceEntries>
 				</configuration>
@@ -144,5 +143,4 @@
 					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
-					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
@@ -232,5 +230,5 @@
 						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="arch"/>
 						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="crt"/>
-						<entry flags="VALUE_WORKSPACE_PATH" kind="sourcePath" name="src"/>
+						<entry excluding="malloc" flags="VALUE_WORKSPACE_PATH" kind="sourcePath" name="src"/>
 					</sourceEntries>
 				</configuration>
@@ -261,3 +259,4 @@
 	</storageModule>
 	<storageModule moduleId="org.eclipse.cdt.internal.ui.text.commentOwnerProjectMappings"/>
+	<storageModule moduleId="org.eclipse.cdt.make.core.buildtargets"/>
 </cproject>
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/crt/crt1.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/crt/crt1.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/crt/crt1.c	(revision 374)
@@ -1,5 +1,5 @@
 #include <features.h>
 
-#define START "_start"
+#define START "musl_start"
 
 #include "crt_arch.h"
@@ -11,5 +11,5 @@
 	void (*)(), void(*)(), void(*)());
 
-void _start_c(long *p)
+void musl_start_c(long *p)
 {
 	int argc = p[0];
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/stdio/__stdio_write.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/stdio/__stdio_write.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/stdio/__stdio_write.c	(revision 374)
@@ -32,3 +32,4 @@
 		iov[0].iov_len -= cnt;
 	}
+	return -1;
 }
Index: asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ccsbcs.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ccsbcs.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/ccsbcs.c	(revision 374)
@@ -25,5 +25,5 @@
 
 
-#if _CODE_PAGE == 437
+#if FF_CODE_PAGE == 437
 #define _TBLDEF 1
 static
@@ -39,5 +39,5 @@
 };
 
-#elif _CODE_PAGE == 720
+#elif FF_CODE_PAGE == 720
 #define _TBLDEF 1
 static
@@ -53,5 +53,5 @@
 };
 
-#elif _CODE_PAGE == 737
+#elif FF_CODE_PAGE == 737
 #define _TBLDEF 1
 static
@@ -67,5 +67,5 @@
 };
 
-#elif _CODE_PAGE == 771
+#elif FF_CODE_PAGE == 771
 #define _TBLDEF 1
 static
@@ -81,5 +81,5 @@
 };
 
-#elif _CODE_PAGE == 775
+#elif FF_CODE_PAGE == 775
 #define _TBLDEF 1
 static
@@ -95,5 +95,5 @@
 };
 
-#elif _CODE_PAGE == 850
+#elif FF_CODE_PAGE == 850
 #define _TBLDEF 1
 static
@@ -109,5 +109,5 @@
 };
 
-#elif _CODE_PAGE == 852
+#elif FF_CODE_PAGE == 852
 #define _TBLDEF 1
 static
@@ -123,5 +123,5 @@
 };
 
-#elif _CODE_PAGE == 855
+#elif FF_CODE_PAGE == 855
 #define _TBLDEF 1
 static
@@ -137,5 +137,5 @@
 };
 
-#elif _CODE_PAGE == 857
+#elif FF_CODE_PAGE == 857
 #define _TBLDEF 1
 static
@@ -151,5 +151,5 @@
 };
 
-#elif _CODE_PAGE == 860
+#elif FF_CODE_PAGE == 860
 #define _TBLDEF 1
 static
@@ -165,5 +165,5 @@
 };
 
-#elif _CODE_PAGE == 861
+#elif FF_CODE_PAGE == 861
 #define _TBLDEF 1
 static
@@ -179,5 +179,5 @@
 };
 
-#elif _CODE_PAGE == 862
+#elif FF_CODE_PAGE == 862
 #define _TBLDEF 1
 static
@@ -193,5 +193,5 @@
 };
 
-#elif _CODE_PAGE == 863
+#elif FF_CODE_PAGE == 863
 #define _TBLDEF 1
 static
@@ -207,5 +207,5 @@
 };
 
-#elif _CODE_PAGE == 864
+#elif FF_CODE_PAGE == 864
 #define _TBLDEF 1
 static
@@ -221,5 +221,5 @@
 };
 
-#elif _CODE_PAGE == 865
+#elif FF_CODE_PAGE == 865
 #define _TBLDEF 1
 static
@@ -235,5 +235,5 @@
 };
 
-#elif _CODE_PAGE == 866
+#elif FF_CODE_PAGE == 866
 #define _TBLDEF 1
 static
@@ -249,5 +249,5 @@
 };
 
-#elif _CODE_PAGE == 869
+#elif FF_CODE_PAGE == 869
 #define _TBLDEF 1
 static
@@ -266,5 +266,5 @@
 
 
-#if _CODE_PAGE != 65001 && (!_TBLDEF || !_USE_LFN)
+#if FF_CODE_PAGE != 65001 && (!_TBLDEF || !FF_USE_LFN)
 #error This file is not needed at current configuration. Remove from the project.
 #endif
@@ -272,5 +272,5 @@
 
 
-#if _CODE_PAGE != 65001
+#if FF_CODE_PAGE != 65001
 WCHAR ff_convert (	/* Converted character, Returns zero on error */
 	WCHAR	chr,	/* Character code to be converted */
Index: asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/diskio.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/diskio.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/diskio.c	(revision 374)
@@ -34,5 +34,5 @@
 int get_status(volatile RD_STAT *stat) {
 	stat->sz_sector = SS_RAMDISK;
-	if(stat->sz_sector < _MIN_SS || stat->sz_sector > _MAX_SS) return 0;
+	if(stat->sz_sector < FF_MIN_SS || stat->sz_sector > FF_MAX_SS) return 0;
 	stat->n_sectors = SZ_RAMDISK * 1024 / SS_RAMDISK;
 	stat->status = 0;
Index: asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/diskio.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/diskio.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/ntshell/fatfs/diskio.h	(revision 374)
@@ -60,9 +60,9 @@
 
 /* Generic command (Used by FatFs) */
-#define CTRL_SYNC			0	/* Complete pending write process (needed at _FS_READONLY == 0) */
-#define GET_SECTOR_COUNT	1	/* Get media size (needed at _USE_MKFS == 1) */
-#define GET_SECTOR_SIZE		2	/* Get sector size (needed at _MAX_SS != _MIN_SS) */
-#define GET_BLOCK_SIZE		3	/* Get erase block size (needed at _USE_MKFS == 1) */
-#define CTRL_TRIM			4	/* Inform device that the data on the block of sectors is no longer used (needed at _USE_TRIM == 1) */
+#define CTRL_SYNC			0	/* Complete pending write process (needed at FF_FS_READONLY == 0) */
+#define GET_SECTOR_COUNT	1	/* Get media size (needed at FF_USE_MKFS == 1) */
+#define GET_SECTOR_SIZE		2	/* Get sector size (needed at FF_MAX_SS != FF_MIN_SS) */
+#define GET_BLOCK_SIZE		3	/* Get erase block size (needed at FF_USE_MKFS == 1) */
+#define CTRL_TRIM			4	/* Inform device that the data on the block of sectors is no longer used (needed at FF_USE_TRIM == 1) */
 
 /* Generic command (Not used by FatFs) */
